<template>
  <div class="form-group">
    <input
        @change.prevent="getSearch"
        v-model="search"
        type="text"
        class="form-control"
        placeholder="Поиск">
  </div>
</template>

<script>
export default {
  name: "StockSearchComponent",
  data() {
    return {
      search: null,
      getsearch: null
    }
  },
  methods: {
    getSearch() {
      const search = {search: this.search};
      axios.post('/api/admin/stock/search', search)
          .then(response => this.getsearch = response.data)
      this.$emit('search', this.getsearch)
    }
  }

}
</script>

<style scoped>

</style>